Bug 28018 - Replace obsolete title-string sorting: OPAC templates
Summary: Replace obsolete title-string sorting: OPAC templates
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 27934
  Show dependency treegraph
 
Reported: 2021-03-22 18:08 UTC by Owen Leonard
Modified: 2021-04-19 09:31 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 28018: Replace obsolete title-string sorting: OPAC templates (46.73 KB, patch)
2021-03-25 11:21 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28018: Replace obsolete title-string sorting: OPAC templates (46.69 KB, patch)
2021-03-27 08:26 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 28018: Replace obsolete title-string sorting: OPAC templates (46.83 KB, patch)
2021-03-27 13:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-03-22 18:08:29 UTC
This patch will modify the following templates to replace the old "title-string" DataTables sorting method with the built-in method using "data-order" attributes.

  opac-tmpl/bootstrap/en/includes/account-table.inc
  opac-tmpl/bootstrap/en/includes/columns_settings.inc
  opac-tmpl/bootstrap/en/includes/holds-table.inc
  opac-tmpl/bootstrap/en/modules/opac-account.tt
  opac-tmpl/bootstrap/en/modules/opac-course-details.tt
  opac-tmpl/bootstrap/en/modules/opac-detail.tt
  opac-tmpl/bootstrap/en/modules/opac-full-serial-issues.tt
  opac-tmpl/bootstrap/en/modules/opac-holdshistory.tt
  opac-tmpl/bootstrap/en/modules/opac-illrequests.tt
  opac-tmpl/bootstrap/en/modules/opac-readingrecord.tt
  opac-tmpl/bootstrap/en/modules/opac-search-history.tt
  opac-tmpl/bootstrap/en/modules/opac-tags.tt
  opac-tmpl/bootstrap/en/modules/opac-user.tt
Comment 1 Owen Leonard 2021-03-25 11:21:04 UTC
Created attachment 118780 [details] [review]
Bug 28018: Replace obsolete title-string sorting: OPAC templates

This patch modifies OPAC templates to replace the use of the
"title-string" DataTables sorting method with the newer "data-order"
attribute.

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

- As a logged-in user, (proper testing will depend on having the
  relevant data associated with your user, e.g. holds, searches, ill
  requests, etc.):
  - Your summary
    - Checkouts
    - Overdues
    - Holds
  - Your charges
  - Your search history
  - Your checkout history
  - Your holds history
  - Your interlibrary loan requests
  - Your tags
- Bibliographic detail page
  - With a non-serial record: Holdings
  - With a serial record: Latest issues
    - More details -> Full history: Test multiple years if possible
- Course reserves -> Course details
- Self checkout -> Check out to a patron with checkouts
Comment 2 Amit Gupta 2021-03-27 08:26:08 UTC
Created attachment 118887 [details] [review]
Bug 28018: Replace obsolete title-string sorting: OPAC templates

This patch modifies OPAC templates to replace the use of the
"title-string" DataTables sorting method with the newer "data-order"
attribute.

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

- As a logged-in user, (proper testing will depend on having the
  relevant data associated with your user, e.g. holds, searches, ill
  requests, etc.):
  - Your summary
    - Checkouts
    - Overdues
    - Holds
  - Your charges
  - Your search history
  - Your checkout history
  - Your holds history
  - Your interlibrary loan requests
  - Your tags
- Bibliographic detail page
  - With a non-serial record: Holdings
  - With a serial record: Latest issues
    - More details -> Full history: Test multiple years if possible
- Course reserves -> Course details
- Self checkout -> Check out to a patron with checkouts
Comment 3 Katrin Fischer 2021-03-27 13:58:19 UTC
Created attachment 118888 [details] [review]
Bug 28018: Replace obsolete title-string sorting: OPAC templates

This patch modifies OPAC templates to replace the use of the
"title-string" DataTables sorting method with the newer "data-order"
attribute.

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

- As a logged-in user, (proper testing will depend on having the
  relevant data associated with your user, e.g. holds, searches, ill
  requests, etc.):
  - Your summary
    - Checkouts
    - Overdues
    - Holds
  - Your charges
  - Your search history
  - Your checkout history
  - Your holds history
  - Your interlibrary loan requests
  - Your tags
- Bibliographic detail page
  - With a non-serial record: Holdings
  - With a serial record: Latest issues
    - More details -> Full history: Test multiple years if possible
- Course reserves -> Course details
- Self checkout -> Check out to a patron with checkouts

Signed-off-by: Amit Gupta <amitddng135@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-04-06 13:59:13 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-04-19 09:31:09 UTC
Enhancement not pushed to 20.11.x